Bug 866323 - Storing the user report via cli in a pdf format fails in headpin-cli upstream
Storing the user report via cli in a pdf format fails in headpin-cli upstream
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Miroslav Suchý
Og Maciel
:
Depends On:
Blocks: sam12-tracker 866384
  Show dependency treegraph
 
Reported: 2012-10-15 01:20 EDT by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 866384 (view as bug list)
Environment:
Last Closed: 2013-02-21 14:18:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The client.log file /var/log/katello/client.log (2.65 KB, application/zip)
2012-10-15 01:20 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Tazim Kolhar 2012-10-15 01:20:25 EDT
Created attachment 627199 [details]
The client.log file /var/log/katello/client.log

Description of problem:
When a user report is tried to be generated using the headpin-cli
in pdf format it fails.

Version-Release number of selected component (if applicable):
# rpm -qa | grep katello
katello-selinux-1.1.2-1.el6.noarch
katello-cli-1.1.10-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-configure-1.1.11-1.el6.noarch
katello-common-1.1.14-1.git.7.a19ce6f.el6.noarch
katello-headpin-all-1.1.14-1.git.7.a19ce6f.el6.noarch
katello-certs-tools-1.1.9-1.el6.noarch
katello-glue-candlepin-1.1.14-1.git.7.a19ce6f.el6.noarch
katello-cli-common-1.1.10-1.el6.noarch
katello-headpin-1.1.14-1.git.7.a19ce6f.el6.noarch


How reproducible:
yum install -y katello-headpin-all
katello-configure --deployment=headpin

Using Jenkins the automated test report generated :

http://hudson.rhq.lab.eng.bos.redhat.com:8080/hudson/view/qe-headpin/job/official-headpin-cli/11/ReportNG_Report/

Steps to Reproduce:
1. # yum install -y katello-headpin-all
2. # katello-configure --deployment=headpin
3. # headpin -u admin  -p admin user report --format pdf
error: 'utf8' codec can't decode byte 0xff in position 10: invalid start byte (more in the log file /var/log/katello/client.log)

  
Actual results:
The report pdf file is not generated.

Expected results:
A pdf file containing the user report is generated .

Additional info:
Comment 1 Miroslav Suchý 2012-10-15 05:19:21 EDT
This happen with katello installation as well - not just headpin.
Comment 2 Miroslav Suchý 2012-10-15 05:22:32 EDT
taking
Comment 3 Miroslav Suchý 2012-10-15 05:47:30 EDT
https://github.com/Katello/katello/pull/850
Comment 4 Miroslav Suchý 2012-10-15 07:07:27 EDT
commit
 * c749d42 (fork/pull-req-bz866323, pull-req-bz866323) 866323 - do not print binary files to log
Comment 5 Og Maciel 2012-11-03 13:02:12 EDT
# headpin -u Administrator -p Redhat@1234 user report --format pdf
# ls
anaconda-ks.cfg             install.log         katello_users_report.pdf             ssl-build
headpin_systems_report.pdf  install.log.syslog  redhat-ddns-client-1.3-3.noarch.rpm


Should katello_users_report.pdf be named sam_users_report.pdf?
Comment 6 Miroslav Suchý 2012-11-05 04:54:22 EST
I would say no.

SAM is name of product. The same CFSE is name of product.
Katello is name of upstream project.
So similary as we do not have cfse_user_report, we do not have sam_user_report. It's all katello_user_report.
Comment 7 Tazim Kolhar 2012-11-08 00:39:54 EST
VERIFIED :

# rpm -qa | grep katello
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.2.2-1h.el6_3.noarch
katello-glue-candlepin-1.2.2-1h.el6_3.noarch
katello-cli-1.2.2-1h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-headpin-all-1.2.2-1h.el6_3.noarch
katello-headpin-1.2.2-1h.el6_3.noarch
katello-configure-1.2.1-1h.el6_3.noarch
katello-common-1.2.2-1h.el6_3.noarch

# headpin -u admin -p admin user report --format pdf
# ls
anaconda-ks.cfg  install.log.syslog        NETBOOT_METHOD.TXT  ssl-build
install.log      katello_users_report.pdf  RECIPE.TXT
Comment 8 Tazim Kolhar 2012-11-15 10:56:04 EST
Sorry.. Changed to MODIFIED 
need to verify it for puddle
Comment 10 Og Maciel 2013-02-12 16:56:03 EST
Verified:

* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-12h.el6_3.noarch
* katello-cli-common-1.2.1-12h.el6_3.noarch
* katello-common-1.2.1-15h.el6_3.noarch
* katello-configure-1.2.3-3h.el6_3.noarch
* katello-glue-candlepin-1.2.1-15h.el6_3.noarch
* katello-headpin-1.2.1-15h.el6_3.noarch
* katello-headpin-all-1.2.1-15h.el6_3.noarch
* katello-selinux-1.2.1-2h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch
Comment 12 errata-xmlrpc 2013-02-21 14:18:12 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.